<?php

/**
  * SquirrelMail Vacation Local Plugin
  * Copyright (c) 2004-2005 Jonathan Bayer <jbayer@spamcop.net>,
  *                         Paul Lesneiwski <pdontthink@angrynerds.com>
  * Licensed under the GNU GPL. For full terms see the file COPYING.
  *
  * @package plugins
  * @subpackage Vacation Local
  *
  */



   
/**
  * Register this plugin with SquirrelMail
  *
  */
function squirrelmail_plugin_init_vacation_local() 
{

   global $squirrelmail_plugin_hooks;

   $squirrelmail_plugin_hooks['optpage_register_block']['vacation_local'] = 'vacation_option_link';

}



if (!defined('SM_PATH'))
   define('SM_PATH', '../');



/**
  * Returns version info about this plugin
  *
  */
function vacation_local_version()
{
   return '1.0';
}



/**
  * Inserts link to the vacation configuration page
  * in options page
  *
  */
function vacation_option_link() 
{

   include_once(SM_PATH . 'plugins/vacation_local/functions.php');
   vacation_option_link_do();

}


?>
